org.springframework.test.web.client

## Interface ResponseActions

    public interface ResponseActions

A contract for setting up request expectations and defining a response. Implementations can be obtained through `MockRestServiceServer.expect(RequestMatcher)`.

Since:
  3.2
Author:
  Craig Walls

### Method Summary

Methods
`ResponseActions` `andExpect(RequestMatcher requestMatcher)` Add a request expectation.
`void` `andRespond(ResponseCreator responseCreator)` Define the response.

### Method Detail

#### andExpect

    ResponseActions andExpect(RequestMatcher requestMatcher)

Add a request expectation.

Returns:
  the expectation

#### andRespond

    void andRespond(ResponseCreator responseCreator)

Define the response.

Parameters:
  `responseCreator` - the creator of the response